org.python.modules.jffi

## Class NativeDataConverter

- java.lang.Object
- - org.python.modules.jffi.NativeDataConverter

-     public abstract class NativeDataConverter
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NativeDataConverter()`
    `NativeDataConverter(boolean referenceRequired, boolean postInvokeRequired)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract PyObject` | `fromNative(PyObject obj)`
    `boolean` | `isPostInvokeRequired()`
    `boolean` | `isReferenceRequired()`
    `abstract NativeType` | `nativeType()`
    `abstract PyObject` | `toNative(PyObject obj)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NativeDataConverter

          public NativeDataConverter()

    - #### NativeDataConverter

          public NativeDataConverter(boolean referenceRequired,
                                     boolean postInvokeRequired)

  - ### Method Detail

    - #### isReferenceRequired

          public final boolean isReferenceRequired()

    - #### isPostInvokeRequired

          public final boolean isPostInvokeRequired()

    - #### fromNative

          public abstract PyObject fromNative(PyObject obj)

    - #### toNative

          public abstract PyObject toNative(PyObject obj)

    - #### nativeType

          public abstract NativeType nativeType()

Jython homepage